---
kind: pipeline
name: edge-x86

clone:
  disable: true

platform:
  os: linux
  arch: amd64

steps:
  - name: build
    image: alpinelinux/alpine-drone-ci:edge-x86
    commands:
      - linux32 build.sh
    environment:
      GH_TOKEN:
        from_secret: github_token
    pull: always

trigger:
  event:
    - pull_request

---
kind: pipeline
name: edge-x86_64

clone:
  disable: true

platform:
  os: linux
  arch: amd64

steps:
  - name: build
    image: alpinelinux/alpine-drone-ci:edge-x86_64
    commands:
      - build.sh
    environment:
      GH_TOKEN:
        from_secret: github_token
    pull: always

trigger:
  event:
    - pull_request

---
kind: pipeline
name: edge-aarch64

clone:
  disable: true

platform:
  os: linux
  arch: arm64

steps:
  - name: build
    image: alpinelinux/alpine-drone-ci:edge-aarch64
    commands:
      - build.sh
    environment:
      GH_TOKEN:
        from_secret: github_token
    pull: always

trigger:
  event:
    - pull_request

---
kind: pipeline
name: edge-armhf

clone:
  disable: true

platform:
  os: linux
  arch: arm

steps:
  - name: build
    image: alpinelinux/alpine-drone-ci:edge-armhf
    commands:
      - build.sh
    environment:
      GH_TOKEN:
        from_secret: github_token
    pull: always

trigger:
  event:
    - pull_request

---
kind: pipeline
name: edge-armv7

clone:
  disable: true

platform:
  os: linux
  arch: arm

steps:
  - name: build
    image: alpinelinux/alpine-drone-ci:edge-armv7
    commands:
      - build.sh
    environment:
      GH_TOKEN:
        from_secret: github_token
    pull: always

trigger:
  event:
    - pull_request

